%define buildgtkhtml 1
%define pygtk 2.4.0
%define gnomepython 2.10.0
%define oname gnome-python
%define build_gda 0

Summary: GNOME extra bindings for Python
Name: gnome-python-extras
Version: 2.14.2
%define subrel 8
Release: %mkrel 6
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%name-%{version}.tar.bz2
Patch: gnome-python-extras-2.14.1-firefox.patch.bz2
Patch1: gnome-python-extras-2.12.1-gksu.patch.bz2
URL: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python/
License: LGPL
Group: Development/GNOME and GTK+
BuildRoot: %{_tmppath}/%name-root
BuildRequires: pygtk2.0-devel >= %pygtk
BuildRequires: gnome-python >= %gnomepython
BuildRequires: python-devel >= 2.2
BuildRequires: libgnomeui2-devel >= 2.0.0
BuildRequires: gtksourceview-devel >= 1.1.0
BuildRequires: libexpat-devel
Requires: gnome-python >= %gnomepython
Requires: gnome-python-gnomevfs >= %gnomepython

%if %{buildgtkhtml}
BuildRequires: libgtkhtml2-devel >= 1.99.9
%endif


%description
The gnome-python-extras package contains the additional Python
bindings for GNOME.


%if %build_gda
%package -n %oname-gda
Version: %{version}
Summary: Python bindings for GNU Data Access
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libgda3.0-devel < 1.9.101

%description -n %oname-gda
This module contains a wrapper that allows programs written in Python
to use GNU Data Access.
%endif

%package -n %oname-gksu
Version: %{version}
Summary: Python bindings for GKSu
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libgksu1.2-devel
BuildRequires: libgksuui-devel

%description -n %oname-gksu
This module contains a wrapper that allows programs written in Python
to use GKSu.

%package -n %oname-gdl
Version: %{version}
Summary: Python bindings for Gnome Devtool Libraries
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libgdl-devel

%description -n %oname-gdl
This module contains a wrapper that allows programs written in Python
to use Gnome Devtool Libraries.

%package -n %oname-gtkspell
Version: %{version}
Summary: Python bindings for gtkspell
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: gtkspell-devel

%description -n %oname-gtkspell
This module contains a wrapper that allows gnome python apps to use
the gtkspell library.

%package -n %oname-gtkmozembed
Version: %{version}
Summary: Python bindings for mozilla
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: mozilla-firefox-devel
%define firefox_version %(rpm -q mozilla-firefox --queryformat %{VERSION})
Requires: %mklibname mozilla-firefox %{firefox_version}

%description -n %oname-gtkmozembed
This module contains a wrapper that allows gnome python apps to embed
the mozilla browser.

%package -n %oname-gtkhtml2
Version: %{version}
Summary: Python bindings for interacting with gtkhtml2
Group: Development/GNOME and GTK+

%description -n %oname-gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via
Python


%prep
%setup -q
%patch -p1 -b .firefox
%patch1 -p1 -b .gtksu
autoconf

%build
./configure --prefix=%_prefix --libdir=%_libdir

%make GNOME_PYTHON_DEFSDIR=`pkg-config --variable=defsdir gnome-python-2.0`

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%defattr(755,root,root,755)
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%_libdir/pkgconfig/%name-2.0.pc
%_libdir/python%pyver/site-packages/gtk-2.0/egg/
%doc examples/egg/

%files -n %oname-gksu
%defattr(755,root,root,755)
%_libdir/python%pyver/site-packages/gtk-2.0/gksu/


%if %build_gda
%files -n %oname-gda
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gda.so
%_libdir/pkgconfig/pygda-1.2.pc
%_includedir/pygda-1.2/
%endif

%files -n %oname-gdl
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gdl.so
%doc examples/gdl

%files -n %oname-gtkspell
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gtkspell.so
%doc examples/gtkspell
%doc %_datadir/gtk-doc/html/pygtkspell

%files -n %oname-gtkmozembed
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gtkmozembed.so
%doc %_datadir/gtk-doc/html/pygtkmozembed

%if %{buildgtkhtml}
%files -n %oname-gtkhtml2
%defattr(755,root,root,755)
%{_libdir}/python%pyver/site-packages/gtk-2.0/gtkhtml2.so
%defattr(644,root,root,755)
%doc examples/gtkhtml2
%endif

%changelog
* Thu Dec 13 2007 Vincent Danen <vdanen@mandriva.com> 2.14.2-6.8mdv2007.0
- rebuild against firefox 2.0.0.11

* Tue Jul 31 2007 Vincent Danen <vdanen@mandriva.com> 2.14.2-6.7mdv2007.0
- rebuild against firefox 2.0.0.6

* Tue Jul 24 2007 Vincent Danen <vdanen@mandriva.com> 2.14.2-6.6mdv2007.0
- rebuild against firefox 2.0.0.5

* Thu Jun 07 2007 Vincent Danen <vdanen@mandriva.com> 2.14.2-6.5mdv2007.0
- rebuild against firefox 1.5.0.12

* Tue Feb 27 2007 Vincent Danen <vdanen@mandriva.com> 2.14.2-6.4mdv2007.0
- rebuild against firefox 1.5.0.10

* Mon Jan 22 2007 Vincent Danen <vdanen@mandriva.com> 2.14.2-6.3mdv2007.0
- rebuild for x86_64

* Wed Jan 10 2007 Vincent Danen <vdanen@mandriva.com> 2.14.2-6.2mdv2007.0
- rebuild against firefox 1.5.0.9

* Thu Nov 09 2006 Vincent Danen <vdanen@mandriva.com> 2.14.2-6.1mdv2007.0
- rebuild against firefox 1.5.0.8

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-6mdv2007.0
- Rebuild for new firefox

* Mon Aug  7 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-5mdv2007.0
- fix buildrequires

* Thu Aug 03 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- rebuild for new firefox

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-3mdv2007.0
- Rebuild with latest dbus

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- rebuild for new firefox

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.14.1-1mdv2007.0
- update patch 0
- New release 2.14.1

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2007.0
- rebuild for new libpng

* Tue May 09 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-3mdk
- rebuild for new firefox

* Mon Apr 24 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-2mdk
- rebuild for new firefox

* Mon Apr 10 2006 Gtz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- new version
- drop the packages that were moved to gnome-python-desktop

* Wed Apr  5 2006 Gtz Waschk <waschk@mandriva.org> 2.12.1-7mdk
- fix mozilla-firefox dep

* Sat Mar 11 2006 Gtz Waschk <waschk@mandriva.org> 2.12.1-6mdk
- fix deps (bug 21563)

* Thu Feb 16 2006 Gtz Waschk <waschk@mandriva.org> 2.12.1-5mdk
- drop gda

* Thu Dec 29 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-4mdk
- add gksu support
- fix buildrequires

* Mon Dec 19 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-3mdk
- fix gtksourceview deps (bug 18777)

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- rebuild for new openssl

* Mon Oct 31 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdk
- New release 2.12.1

* Tue Oct 11 2005 Gtz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0
- add mediaprofiles package
- update file list
- requires new nautilus-burn
- regenerate configure
- rediff the patch
- enable gdl wrapper
- add pygda

* Sun May 29 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- rediff patches
- New release 2.10.2

* Tue May 17 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-2mdk
- add gdl bindings
- patch for gcc4

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- initial mdk version

* Mon Apr 11 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.1-0.1gpw
- patch configure, regeneration didn't work
- fix build
- New release 2.10.1

* Tue Mar  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-0.1gpw
- bump deps
- fix build for firefox
- New release 2.10.0

* Wed Feb 16 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.4-0.1gpw
- New release 2.9.4

* Wed Jan 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.3-0.2gpw
- add bindings for gtop, nautilus-burn and totem-plparser
- New release 2.9.3

* Sat Jan  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.2-0.2gpw
- rebuild for new howl

* Mon Jan  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.2-0.1gpw
- add mozembed and gtkspell modules
- New release 2.9.2

* Mon Dec  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.9.1-0.2gpw
- rebuild for new python

* Tue Nov 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.9.1-0.1gpw
- update file list

* Tue Nov 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.9.1-1mdk
- New release 2.9.1

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.9.0-0.1gpw
- initial package
